#!python
# -*- coding: utf-8 -*-
__version__ = "$Revision: 1.2 $"
# $Source: /home/mechanoid/projects/py/1/02-matplot/RCS/main.py,v $
#
#       OS : GNU/Linux 4.7.6-1-ARCH 
# COMPILER : Python 3.5.2
#
#   AUTHOR : Evgeny S. Borisov
# 
#    http://www.mechanoid.kiev.ua
#  e-mail : nn@mechanoid.kiev.ua
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - 

import numpy as np  
import matplotlib.pyplot as plt
from mpl_toolkits.mplot3d import Axes3D

n = int(1e3)
X = np.linspace(0, np.pi*2.0,n)
Y = np.sin(X**2) - X
plt.plot(X, Y, '-', linewidth=2)
plt.grid(True)
plt.savefig('result/plot1.png', dpi=60)
plt.clf()


xs = np.linspace(-1, 1, 50)
ys = np.linspace(-1, 1, 50)
X, Y = np.meshgrid(xs, ys)
R = 1 - np.sqrt(X**2 + Y**2)
Z = np.cos(2 * np.pi * X + 2) * R
ax = plt.figure().gca(projection='3d')
ax.plot_surface(X, Y, Z, rstride=5, cstride=5, alpha=0.9)
plt.savefig('result/plot2.png', dpi=60)
plt.clf()

